.. _dial-plan-overbuild:





Run Dial Plan Overbuild
-------------------------

:bdg-primary:`Cisco`


.. _19.1.1|VOSS-472:


Overview 
...........

The dial plan overbuild process moves specific dial plan elements,
imported from CUCM, to a specified site, based on the VOSS Automate 
Location Name and Location ID.





Move Dial Plan Elements to a Site
.....................................


**Prerequisites**

You must know the following VOSS Automate location details:

* Location Name
* Location ID
* Location Dial Plan Country Code



1. Log in as a provider administrator or higher.
#. Enter the **Location Name**, **ID**, and **Dial Plan Country Code** to
   identify the location from which you want to move the elements.
#. From the **Destination Site Name** drop-down, choose the site to which you want
   to move the elements.
#. Click **Save**.


.. _objects-moved-during-overbuild:


Dial Plan Elements Moved to the Site Hierarchy
..............................................

The table describes the dial plan elements moved when running a dial plan overbuild:


.. tabularcolumns:: |p{5cm}|p{3cm}|p{2cm}|p{5cm}|

+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| Model Type                                    | Model Field                | Condition  | Filter Text                                           |
+===============================================+============================+============+=======================================================+
| device/cucm/Region                            | name                       | endswith   | phone-{{ input.v8_siteid }}                           |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/Region                            | name                       | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/Line                              | shareLineAppear anceCssName| endswith   | CSS{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/Line                              | shareLineAppear anceCssName| startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/Location                          | name                       | endswith   | -{{ input.v8_siteid }}                                |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/Location                          | name                       | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/DevicePool                        | name                       | endswith   | pool{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/DevicePool                        | name                       | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/DevicePool                        | regionName                 | endswith   | -{{ input.v8_siteid }}                                |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Calls{{ input.v8_siteid }}                            |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | CallsCLIR{{ input.v8_siteid }}                        |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | -{{ input.v8_dp_countrycode }}{{ input.v8_siteid }}   |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Enh{{ input.v8_dp_countrycode }}{{ input.v8_siteid }} |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Std{{ input.v8_dp_countrycode }}{{ input.v8_siteid }} |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Rst{{ input.v8_dp_countrycode }}{{ input.v8_siteid }} |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Service{{ input.v8_siteid }}                          |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Internal{{ input.v8_siteid }}                         |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Features{{ input.v8_siteid }}                         |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | LclManagers{{ input.v8_siteid }}                      |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | PT{{ input.v8_siteid }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Site{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | endswith   | Plus{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePartition                    | name                       | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/Css                               | name                       | endswith   | CSS{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/Css                               | name                       | endswith   | LBO{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/Css                               | name                       | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CtiRoutePoint                     | callingSearchSpace Name    | endswith   | CSS{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CtiRoutePoint                     | devicePoolName             | endswith   | {{ input.v8_siteid }}                                 |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CtiRoutePoint                     | devicePoolName             | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/VoiceMailProfile                  | voiceMailPilot.css Name    | endswith   | CSS{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/VoiceMailPilot                    | cssName                    | endswith   | CSS{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/VoiceMailPilot                    | cssName                    | startswith | CSS{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallPark                          | routePartitionName         | endswith   | Site{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallPark                          | routePartitionName         | endswith   | Feature{{ input.v8_siteid }}                          |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallPark                          | routePartitionName         | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/DirectedCallPark                  | routePartitionName         | endswith   | Site{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/DirectedCallPark                  | routePartitionName         | endswith   | Feature{{ input.v8_siteid }}                          |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/DirectedCallPark                  | routePartitionName         | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallPickupGroup                   | name                       | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallPickupGroup                   | routePartitionName         | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallPickupGroup                   | routePartitionName         | endswith   | Site{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallPickupGroup                   | routePartitionName         | endswith   | AllowCallFeatures{{ input.v8_siteid }}                |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/HuntPilot                         | routePartitionName         | endswith   | Site{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | endswith   | -{{ input.v8_siteid }}                                |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | endswith   | -{{ input.v8_dp_countrycode }}{{ input.v8_siteid }}   |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | endswith   | Plus{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | isexactly  | AllowEmerCalls{{ input.v8_siteid }}                   |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | isexactly  | AllowInternal{{ input.v8_siteid }}                    |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | endswith   | Enh{{ input.v8_dp_countrycode }}{{ input.v8_siteid }} |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | endswith   | Std{{ input.v8_dp_countrycode }}{{ input.v8_siteid }} |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | endswith   | Rst{{ input.v8_dp_countrycode }}{{ input.v8_siteid }} |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | endswith   | -PT{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/TransPattern                      | routePartitionName         | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePattern                      | routePartitionName         | isexactly  | SNRRRPT{{ input.v8_siteid }}                          |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePattern                      | routePartitionName         | isexactly  | AllowVMCalls{{ input.v8_siteid }}                     |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePattern                      | routePartitionName         | endswith   | EmerCalls{{ input.v8_siteid }}                        |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePattern                      | routePartitionName         | isexactly  | AllowInternal{{ input.v8_siteid }}                    |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePattern                      | routePartitionName         | endswith   | -PT{{ input.v8_siteid }}                              |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RoutePattern                      | routePartitionName         | startswith | {{ input.v8_sitename }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RouteList                         | name                       | endswith   | -{{ input.v8_siteid }}                                |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/RouteGroup                        | name                       | endswith   | -{{ input.v8_siteid }}                                |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallingPartyTrans formationPattern| routePartitionName         | endswith   | PT{{ input.v8_siteid }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CalledPartyTrans formationPattern | routePartitionName         | endswith   | PT{{ input.v8_siteid }}                               |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/VoiceMailProfile                  | description                | endswith   | location{{ input.v8_siteid }}                         |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/CallPark                          | routePartitionName         | isexactly  | AllowCallFeatures{{ input.v8_siteid }}                |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/GatewaySccp Endpoints             | callingSearchSpace Name    | endswith   | -CSS{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/GatewayEndpoint AnalogAccess      | callingSearchSpace Name    | endswith   | -CSS{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/H323Gateway                       | callingSearchSpace Name    | endswith   | -CSS{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+
| device/cucm/MeetMe                            | routePartitionName         | endswith   | Site{{ input.v8_siteid }}                             |
+-----------------------------------------------+----------------------------+------------+-------------------------------------------------------+


